#
# spec file for package gtk2-themes
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gtk2-themes
Summary:        Additional Themes and Engines for GTK2
License:        GPL-2.0+
Group:          System/GUI/GNOME
Version:        0.1
Release:        805.5
Source:         bluebubble.tar.bz2
Patch0:         bluebubble-colors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gnome.org
# bluebubble requires engine "pixmap" 
Requires:       gtk2
Enhances:       gtk2
BuildArch:      noarch

%description
This package contains additional themes and engines for the GTK2
library.



%prep
%setup -n bluebubble 
%patch0 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes
cd $RPM_BUILD_ROOT%{_datadir}/themes
tar xvfj %SOURCE0
patch -p0 <%PATCH0

%files
%defattr(644, root, root, 755)
%{_datadir}/themes/*

%changelog
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon Aug 31 2009 coolo@novell.com
- use Patch0
* Mon Mar 10 2008 sbrabec@suse.cz
- Reduced Requires.
- Added Enhances: gtk2.
* Tue Jan  9 2007 sbrabec@suse.cz
- Prefix changed to /usr.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Mar 19 2004 pmladek@suse.cz
- fixed bg[SELECTED] to correspond to the color used by the native
  gtk2 widget, bg[SELECTED] is used only by OpenOffice.org now
* Thu Feb 26 2004 sbrabec@suse.cz
- Fixed group writeability of files (bug #33796).
* Thu Sep  4 2003 mmj@suse.de
- This requires the pixmap loader in gtk2-engines, so add it to
  Requires.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Require gtk2.
* Wed Mar 12 2003 sbrabec@suse.cz
- Fixed prefix clash (prefix must be /opt/gnome2).
- Package marked as noarch.
* Thu Feb 13 2003 hhetter@suse.de
- remove the crux theme that is now available in the
  gnome-themes package
* Mon Feb 10 2003 hhetter@suse.de
- removed the thinice engine because it is moved into the
  gtk2-engines package
* Thu Jan 16 2003 ro@suse.de
- use "gtk2-devel-packages,libjpeg" in neededforbuild
* Tue Jan 14 2003 ro@suse.de
- added expat to neededforbuild
- use wildcard in filelist for gtk2-version
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Aug  9 2002 hhetter@suse.de
- add openssl to neededforbuild
* Wed Jul 17 2002 hhetter@suse.de
- included bluebubble theme, confirmed GPL
* Mon Jul 15 2002 hhetter@suse.de
- included thinice engine, GPLed
* Mon Jul 15 2002 hhetter@suse.de
- inital SuSE package
- included Crux port to GNOME 2 (GPL'ed)
